BLUEMON-CLIENT(1)

NAME
bluemon-client — Activate or deactivate programs based on bluetooth link quality

SYNOPSIS

bluemon-client [-u command] [--upcmd command] [-d command] [--downcmd command] [-b aa:bb:cc:dd:ee:ff] [--btid aa:bb:cc:dd:ee:ff] [-v ] [--verbose ] [-p ] [--protect ] [-h ] [--help ] [-V ] [--version ]

DESCRIPTION

This manual page documents briefly the bluemon-client command.

bluemon-client listens for events from the bluemon daemon and can start or stop programs when the given device is connected or disconnected. This can be used to perform actions like locking the terminal when you walk away from it.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-u           --upcmd
    The command to be run when the device is connected.

-d           --downcmd
    The command to be run when the device is disconnected.

-b           --btid
    The bluetooth ID to monitor (e.g. aa:bb:cc:dd:ee:ff)

-p           --protect
    Try and protect against spoofing on the DBUS. Requires signals to come from a process owned by the root user.

-v           --verbose
    Enable verbose output

-h           --help
    Show summary of options.

-V           --version
    Print version

SEE ALSO

bluemon (1), bluemon-query(1), bluemon-dbus(7).

AUTHOR

This manual page was written by Matthew Johnson <debian@matthew.ath.cx> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.